---
title: "v0.12.0: the Azulian Tag Update"
date: 2022-03-27T15:39:21-07:00
draft: false
---
A new beta release of _Sketchy Maze_ is now available. This release brings a
lot of new features to the level editor, such as a Text Tool and Flood Fill
Tool, and adds a couple new levels for a game mode called "Azulian Tag."

In Azulian Tag, the player who is "It" (that's you) needs to avoid being
tagged by the enemy characters, most of which are Azulians. The Azulians
on these maps have an infinite aggro radius and will chase after the player
no matter how far away you are! To get the gold medal high score, you need
to find the secret exit hidden in each level. Otherwise, you're awarded a
silver high score based on how long you survive until one of the Azulians
catches you!

![Azulian Tag](/images/v0.12.0-azutag.png)

## New Level Editor Features

Some new drawing tools are added:

* The **Text Tool** makes it easy to stamp text messages onto your level,
  choosing from one of the built-in fonts (including the Azulian language
  font!) and using any of your level's colors.
* The **Flood Tool** implements a paint bucket to replace contiguous
  regions of your drawing with a new color.
* The **Pan Tool** lets you easily scroll your level viewport with your
  left mouse button or finger swipe on mobile. This is especially useful
  for devices with touch screens so you can avoid accidentally editing
  your level when you just wanted to scroll it!

New **Game Rules** can be customized on your level to change the game's
default behaviors, including:

* A **Difficulty** setting that can adjust the way enemy mobs behave.
  On Peaceful, enemies ignore the player and do no harm. On Hard mode,
  enemies become more aggressive, such as the Azulians having an
  infinite aggro radius and run at the player at level start!
* The **Survival Mode** rule changes the meaning of "high score" for
  the silver medal tier: you're awarded for _how long_ you survive before
  dying rather than how quickly you beat the level. On these levels, the
  gold tier for finding the Exit Flag unscathed is still awarded for
  fastest time finding the flag.

[Download](/download) the latest release now or see the
[change log](https://www.sketchymaze.com/guidebook/changes.html) for full
details.