---
title: "Sketchy Maze v0.7.2 Released"
date: 2021-07-19T22:38:54-07:00
draft: false
---
A new version of _Sketchy Maze_ is released today that brings some new
features and some new content.

![](/images/v0.7.2-pyramid.png)

Grab the latest version on the [Download](/download) page!

## New Levels

Two new levels are added in this release:

* Desert-1of2.level: a desert-themed level with platforming segments as you
  climb the outside of a pyramid.
* Desert-2of2.level: inside the pyramid. This level is full of puzzles
  involving the new Box doodad.

These join the previous three Tutorial levels that earlier versions came with.

## New Doodad

![Box](/guidebook/images/doodads/box.gif)

The **Box** can be pushed left or right by the player character or other
mobile doodads, and it is affected by gravity. It is taller than the
player character, so can make a useful platform to reach a higher ledge.

## Other Changes

* New brush pattern: Perlin Noise
* New default color for the Colored Pencil palette: Sandstone (solid) - uses
  the Perlin Noise pattern.
* Scroll the editor window _slowly_ by holding the Shift key.
* The Doodads window is now opened by the `Q` key instead of `D` in the level
  editor.
* The WASD keys can scroll the level editor in addition to the arrow keys.
* Levels and Doodad files get compressed for a filesize savings of ~84% on
  average! Tutorial 2.level shrank from 2.2M to 414K.

See the [Change Log](/guidebook/changes.html) for the rest.